package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.secondary.MemIngOrders;
import com.liangjian.dataplatform.member.entity.po.secondary.MemIngProduct;
import com.liangjian.dataplatform.member.entity.po.secondary.MemIngProductOrder;
import com.liangjian.dataplatform.member.entity.po.secondary.WeixinUserInfo;
import org.springframework.data.domain.Page;


public interface IUserIngOrdersService {

    Page<MemIngOrders> queryByAccountPhone(String AccountPhone,Integer state,Integer page, Integer size);

    MemIngOrders queryByAccountPhoneInfo(String AccountPhone);

    MemIngProduct getProductInfo(String productCode, String secretPhone);

    String addOrders(WeixinUserInfo weixinUserInfo, MemIngOrders order, String productCode);

    boolean findByOpenid(String openid,String secretPhone);

    Integer getUserOrderPoint(String secretPhone);
}
